Re: [Rd] compiling on snow leopard: Cocoa errors?!?!?!

From: Simon Urbanek <simon.urbanek_at_r-project.org>
Date: Thu, 26 Nov 2009 22:14:26 -0500

Paul,

On Nov 26, 2009, at 9:03 PM, Homer Paul Benton wrote:

> I'm currently using 
> 
> gcc --version
> i686-apple-darwin8-gcc-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5564)

That is the wrong compiler - it's a Leopard compiler (Xcode 3.1/3.1.1 to be precise - see that it says darwin8 which is even 10.4 = Tiger!). Your Xcode seems to be seriously messed up -- I'd strongly recommend re-installing all Xcode 3.2 (run sudo gfortran-uninstall before you start) and Fortran (either the CRAN version or the Snow Leopard(!!) version from Tools).

> Copyright (C) 2007 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> 
> sh-3.2# gfortran --version
> GNU Fortran (GCC) 4.2.1 (Apple Inc. build 5564)
> Copyright (C) 2007 Free Software Foundation, Inc.
> 
> GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
> You may redistribute copies of GNU Fortran
> under the terms of the GNU General Public License.
> For more information about these matters, see the file named COPYING
> 
> 
> and xcode 3.2 (1610)
> 
> At the risk of sounding stupid, I compiled the netCDF library and the compiliers seemed happy for that. ?!?!
> 

NetCDF doesn't use anything from the system so even wrong compilers won't throw it off.

Cheers,
Simon

> Cheers,
> 
> Paul
> 
> I downloaded and 'installed' the 
> 
> On 27 Nov 2009, at 00:54, Simon Urbanek wrote:
> 
>> Paul,
>> 
>> at a first glance that seems like an issue in your system to me since  
>> the errors come from system headers and not from our code. Which  
>> compilers are you using and which Xcode version?
>> 
>> Cheers,
>> Simon
>> 
>> 
>> On Nov 26, 2009, at 1:16 PM, Homer Paul Benton wrote:
>> 

>>> Dear R-gurus,
>>>
>>> I'm trying to compile R on my new mac. It's snow leopard. So far
>>> I've seemed to be doing pretty well. I've looked at
>>>
>>> http://cran.r-project.org/bin/macosx/tools/
>>>
>>> http://r.research.att.com/exp/
>>>
>>> http://r.research.att.com/building.html
>>>
>>> http://r.research.att.com/tools/
>>>
>>> All of which have been very helpful. Looking at the threads I've got
>>> around some X11 issues that stopped the configure script working but
>>> now when I excute make I get the error below. Any ideas?
>>>
>>> Thanks in advance,
>>>
>>> Paul
>>>
>>> R is now configured for i386-apple-darwin10.2.0
>>>
>>> Source directory: .
>>> Installation directory: /Library/Frameworks
>>>
>>> C compiler: gcc -arch x86_64 -std=gnu99 -g -O2
>>> Fortran 77 compiler: gfortran -arch x86_64 -g -O2
>>>
>>> C++ compiler: g++ -arch x86_64 -g -O2
>>> Fortran 90/95 compiler: gfortran -arch x86_64 -g -O2
>>> Obj-C compiler: gcc -arch x86_64 -g -O2
>>>
>>> Interfaces supported: X11, aqua, tcltk
>>> External libraries: readline, BLAS(vecLib), LAPACK(in blas),
>>> ICU
>>> Additional capabilities: NLS
>>> Options enabled: framework, R profiling, Java
>>>
>>> Recommended packages: yes
>>>
>>> sh-3.2# echo "./configure SHELL='/bin/bash' r_arch=x86_64 CC="gcc -
>>> arch x86_64 -std=gnu99" CXX="g++ -arch x86_64" OBJC="gcc -arch
>>> x86_64" F77="gfortran -arch x86_64" FC="gfortran -arch x86_64" --
>>> with-system-zlib --with-blas='-framework vecLib' --with-lapack --x-
>>> includes='-I/usr/X11/include/X11' --x-libraries='-L/usr/X11/lib'
>>> X_LIBS=-L/usr/X11/lib" > ~/R/compileR.txt
>>>
>>>
>>> sh-3.2# make
>>> make[1]: Nothing to be done for `R'.
>>> make[1]: Nothing to be done for `R'.
>>> make[2]: Nothing to be done for `R'.
>>> .....
>>> ..... etc
>>> building package 'tools'
>>> all.R is unchanged
>>> make[6]: `Makedeps' is up to date.
>>> ../../../../library/tools/libs/x86_64/tools.so is unchanged
>>> building package 'utils'
>>> all.R is unchanged
>>> make[4]: Nothing to be done for `iconvlist'.
>>> building package 'grDevices'
>>> all.R is unchanged
>>> ../../../library/grDevices/R/grDevices is unchanged
>>> gcc -arch x86_64 -I../../../../include -I../../../../include/x86_64 -
>>> I../../../include -I../../../../src/include -DHAVE_CONFIG_H -I/usr/
>>> local/include -fPIC -g -O2 -c qdCocoa.m -o qdCocoa.o
>>> In file included from /System/Library/Frameworks/
>>> Foundation.framework/Headers/NSCharacterSet.h:8,
>>> from /System/Library/Frameworks/Foundation.framework/
>>> Headers/Foundation.h:15,
>>> from /System/Library/Frameworks/Cocoa.framework/
>>> Headers/Cocoa.h:12,
>>> from qdCocoa.h:39,
>>> from qdCocoa.m:24:
>>> /System/Library/Frameworks/Foundation.framework/Headers/NSString.h:
>>> 278: error: format string argument follows the args to be formatted
>>> /System/Library/Frameworks/Foundation.framework/Headers/NSString.h:
>>> 280: error: format string argument follows the args to be formatted
>>> In file included from /System/Library/Frameworks/
>>> Foundation.framework/Headers/Foundation.h:25,
>>> from /System/Library/Frameworks/Cocoa.framework/
>>> Headers/Cocoa.h:12,
>>> from qdCocoa.h:39,
>>> from qdCocoa.m:24:
>>> /System/Library/Frameworks/Foundation.framework/Headers/
>>> NSException.h:62: error: format string argument follows the args to
>>> be formatted
>>> qdCocoa.m: In function '+[QuartzCocoaView
>>> quartzWindowWithRect:andInfo:]':
>>> qdCocoa.m:90: warning: class 'QuartzCocoaView' does not implement
>>> the 'NSWindowDelegate' protocol
>>> make[5]: *** [qdCocoa.o] Error 1
>>> make[4]: *** [mksrc] Error 1
>>> make[3]: *** [all] Error 2
>>> make[2]: *** [R] Error 1
>>> make[1]: *** [R] Error 1
>>> make: *** [R] Error 1
>>> ______________________________________________
>>> R-devel_at_r-project.org mailing list
>>> https://stat.ethz.ch/mailman/listinfo/r-devel
>>>
>>>
>> 
> 
> 
> 

______________________________________________
R-devel_at_r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Fri 27 Nov 2009 - 03:18:33 GMT

This archive was generated by hypermail 2.2.0 : Fri 27 Nov 2009 - 12:30:50 GMT